Bug 20898 - Move Java Hierarchy APIs out from OpenIDE
Move Java Hierarchy APIs out from OpenIDE
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Unsupported
3.x
All All
: P2 (vote)
: 3.x
Assigned To: Jesse Glick
issues@java
: ARCH
Depends on: 28033
Blocks: 17815 19443
  Show dependency treegraph
 
Reported: 2002-02-26 16:48 UTC by Petr Hrebejk
Modified: 2007-09-26 09:14 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hrebejk 2002-02-26 16:48:48 UTC
Although the class SourceOptions cannot be moved, it should be possible to
the .settings file and the links to this file from the core/ide xml layer 
to the xml layer in the java module.
This should be done because of users of the platform who want to build an IDE
with no Java support.
Comment 1 Svata Dedic 2002-05-21 17:48:17 UTC
Cleaning up before 4.0 planning
Comment 2 Marek Grummich 2002-07-19 16:13:40 UTC
Target milestone was changed from not determined to TBD
Comment 3 Jesse Glick 2002-08-14 22:27:32 UTC
This is pretty important for platform usage, I think.

I would like to suggest going further and physically moving all of
org.openide.src.** to the java/api module. I am willing to do the work
if you don't have any objections (if so, reassign to me). Suggested
course of action:

0. Change the summary of this issue to reflect the broadened goal.

1. Physically move openide/src/org/openide/src/ to
java/api/src/org/openide/src/.

2. Newly written modules would need to depend on org.netbeans.api.java
in order to use these packages. All standard NB modules using these
packages should have their manifests updated.

3. For compatibility, org.netbeans.core.modules.NbInstaller can
automatically add such a dependency to any old module (detected acc.
to openide spec version requested - the infrastructure for this is
already in place, it is easy).

4. Move all IZ issues in "openide/java hierarchy" to "java/api".

5. Move Java Hierarchy API documentation to java/api/doc/ alongside
the classpath stuff.

6. As already written, move the SourceOptions registration to the java
or java/api module.
Comment 4 Jesse Glick 2002-08-15 20:27:50 UTC
Falls under "separation of openide into libraries".
Comment 5 Svata Dedic 2002-10-09 14:48:53 UTC
I would rather move the src hierarchy into a completely separate
module, something like java/src-api (?)
The java/api will most probably outlive the source hierarchy (as it
will be deprecated after Java/MDR integration is complete).
Comment 6 Jesse Glick 2002-10-09 15:16:43 UTC
I agree. That was actually what I planned to do. Something like
java/srcmodel.
Comment 7 Svata Dedic 2002-10-09 17:38:35 UTC
Just following item #0 from the checklist :-)
Comment 8 Jesse Glick 2002-10-09 17:40:37 UTC
Check separation_19443_a_branch for progress.
Comment 9 Jesse Glick 2002-10-16 07:11:32 UTC
Fixed as part of issue #19443, which see.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo